# Intel® Firmware Support Package (Intel® FSP) Binaries
Repository of Intel FSP binaries posted by Intel

# Intel® FSP Home Page
<https://www.intel.com/FSP>

# Config Editor tool for FSP configuration
Link: https://github.com/tianocore/edk2/tree/master/IntelFsp2Pkg/Tools/ConfigEditor

Readme: https://github.com/tianocore/edk2/blob/master/IntelFsp2Pkg/Tools/UserManuals/ConfigEditorUserManual.md

## Wiki
<https://github.com/IntelFsp/FSP/wiki>

## Support and Issue Submission Link
<https://www.intel.com/content/www/us/en/design/support/ips/training/access-and-login.html>

# FSP Project Information
Each FSP project will be hosted in a separate directory.

FSP Project Name | Directory Name | FSP Specification Version
:--------------- | :------------- | :------------------------
10th, 8th & 7th Generation Intel® Core™ processors and chipsets (formerly Comet Lake Y-Series, Amber Lake, Kaby Lake Refresh, and Kaby Lake) | AmberlakeFspBinPkg | v2.1
Intel® Atom™ processor E3900 product family (formerly Apollo Lake) | ApolloLakeFspBinPkg | v2.0
Intel® Pentium® and Celeron® Processor N3000 Product Families and Intel® Atom™ x5-E8000 Processor (formerly Braswell) | BraswellFspBinPkg | v1.1
9th & 8th Generation Intel® Core™ processors and chipsets (formerly Coffee Lake Refresh, Coffee Lake, and Whiskey Lake) | CoffeeLakeFspBinPkg | v2.0
10th Generation Intel® Core™ processors and chipsets (formerly Comet Lake) | CometLakeFspBinPkg | v2.1
3rd Generation Intel® Xeon® Scalable processors and chipsets (formerly Cooper Lake) | CedarIslandFspBinPkg | v2.1
Intel® Atom™ processor C3XXX product family (formerly Denverton) | DenvertonNSFspBinPkg | v2.0
Intel Atom® x6000E series, and Intel Pentium® and Celeron® N and J Series processors | ElkhartLakeFspBinPkg | v2.1
10th Generation Intel® Core™ processors and chipsets (formerly Ice Lake) | IceLakeFspBinPkg | v2.1
7th Generation Intel® Core™ processors and chipsets (formerly Kaby Lake) | KabylakeFspBinPkg | v2.0
6th Generation Intel® Core™ processors and chipsets (formerly Sky Lake) | SkylakeFspBinPkg | v1.1
11th Generation Intel® Core™ processors and chipsets (formerly Tiger Lake) | TigerLakeFspBinPkg | v2.2
3rd Generation Intel® Xeon® Scalable processors and chipsets (formerly Ice Lake-SP) | WhitleyFspBinPkg | v2.1

## Legacy FSP Projects
FSP binaries for older projects can be found in the [legacy branch](https://github.com/intel/FSP/tree/legacy)
